﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using System.ComponentModel;
using Telerik.Windows.Controls;
using System.Windows.Automation;
using GalaSoft.MvvmLight.Command;
using System.Collections;
using System.Diagnostics;
using Telerik.Windows;

namespace TreeViewTest
{
    class DataItem : INotifyPropertyChanged
    {
        public DataItem()
        {
            this.Children = new ObservableCollection<DataItem>();
        }

        public int ID
        {
            get;
            set;
        }

        private ToggleState state;
        public ToggleState State
        {
            get { return state; }
            set
            {
                state = value;
                RaisePropertyChanged("State");
            }
        }


       
        #region MyProperty (INotifyPropertyChanged Property)
        private string name ;

        public string Name
        {
            get { return name; }
            set
            {
                name = value;
                RaisePropertyChanged("Name");
            }
        }
        #endregion
        

        public ObservableCollection<DataItem> Children
        {
            get;
            set;
        }


        private bool expanded;
        public bool Expanded
        {
            get { return expanded; }
            set
            {
                expanded = value;
                RaisePropertyChanged("Expanded");
            }
        }

        #region MyProperty (INotifyPropertyChanged Property)
        private bool selected;

        public bool Selected
        {
            get { return selected; }
            set
            {
                selected = value;
                Debug.WriteLine(value.ToString());
                RaisePropertyChanged("Selected");
            }
        }
        #endregion


        private bool? loadondemand;
        public bool? LoadOnDemand
        {
            get { return loadondemand; }
            set
            {
                loadondemand = value;
                RaisePropertyChanged("LoadOnDemand");
            }
        }

        private bool isChecked;
        public bool IsChecked
        {
            get { return isChecked; }
            set
            {
                isChecked = value;
                RaisePropertyChanged("IsChecked");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        protected void RaisePropertyChanged(string propertyName)
        {
            var handler = PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(propertyName));
            }
        }


    }
}
